Get Template Test Summary

Prev Next
Get
/api/v1/Execution/projects/{projectId}/template-tests/{testId}/results/{batchKey}

Returns the execution summary of a specified template test

Path parameters
projectId
integer (int32) Required

Project containing the template test

testId
integer (int32) Required

Template test to retrieve

batchKey
stringRequired

Execution to retrieve

Responses
200

OK

Expand All
object
name
string | null

The template test's name

dateStarted
string (date-time)

The template test's start date

dateCompleted
string (date-time) | null

The template test's completion date

status
string
Valid values[ "Running", "Aborting", "Aborted", "Completed", "Abandoned" ]
batchType
string
Valid values[ "Test", "Job", "TemplateTest" ]
tests
Array of object (Configuration.Api.Models.v1.Common.KeyValue)

The template test's tests

object
403

Forbidden

404

Not Found

object
error
string | null